mod minecraft {
    use std::collections::HashMap;

    let mut re_collection = HashMap::new();

    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: (?P<player>\w+) (?P<verb>\w+) the game");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: Stopping server");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: (?P<player>\w+) issued server command: (?P<com>.+)");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: (?P<player>\w+) lost connection: (?P<com>.+)");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: (?P<player>\w+)\[/(?P<IPv4>\d+.\d+.\d+.\d+):(\d+)] logged in");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\]: (?P<player>\w+) has made the advancement \[(?P<advancement>[\w\s]+)\]");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Netty Epoll Server IO #\d/INFO\]: <(?P<player>\w+)> (?P<message>.+)");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Netty Epoll Server IO #\d/INFO\]: <\x1B\[0;31;22m~(?P<player>\w+)\x1B\[m> (?P<message>.+)");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/DEBUG\]");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/TRACE\]");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/WARN\]");
    re_collection.insert("", r"^ ");
    re_collection.insert("", r"^}");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Server thread/INFO\] \[");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[main/INFO\] \[");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[main/DEBUG\]");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[main/WARNING\] \[");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Netty Epoll Server IO #\d/DEBUG\]");
    re_collection.insert("", r"^\[(?P<time>\d\d:\d\d:\d\d)\] \[Netty Epoll Server IO #\d/TRACE\]");
}
